Summary:	Next generation initrd image generator
Name:		dracut
Version:	038
%define subrel  1
Release:	%mkrel 21
Group:		System/Base
License:	GPLv2+
URL:		https://dracut.wiki.kernel.org/
Source0:	http://www.kernel.org/pub/linux/utils/boot/dracut/%{name}-%{version}.tar.xz
Source1:	50-%_real_vendor.conf
Source2:	logo.png

# Upstream Cherry picks
# fix typos in modules.d/98usrmount: bug #11292
Patch1: git-master-eab9b75c8a9b106d2f35faae0af51ab1c66e8da1.patch

# Mageia Patches
Patch0500:  0500-Plymouth-customisations-for-Mageia.patch
Patch0501:  0501-Use-the-Mageia-naming-for-initrd-files.patch
Patch0502:  0502-Handle-upgrades-better.patch
Patch0503:  0503-network-Include-70-persistent-net.rules-in-the-netwo.patch
Patch0504:  0504-Parse-and-include-the-ide-controller-and-scsi_hostad.patch
Patch0505:  0505-lvm-Ensure-LVM-is-initialised-in-non-hostonly-mode.patch
Patch0506:  0506-rootfs-block-Support-lilo-style-device-numbers.patch
Patch0507:  0507-i18n-Run-console_init-prior-to-udev-startup.patch
Patch0508:  0508-mageia-Add-a-convertfs-hacks-for-packaging-quirks.patch
Patch0509:  0509-udev-rules-Pre-usrmove-systemd-installs-might-not-fi.patch
Patch0510:  0510-dracut-functions.sh-Make-sure-to-install-full-path-P.patch
Patch0511:  0511-Match-.map-files-before-.inc-files-when-looking-for-.patch
Patch0512:  0512-Support-the-simple-upgrade-preparation-API-mga-9744.patch
Patch0513:  0513-mgalive-A-module-to-mount-Mageia-Live-media.patch
Patch0514:  0514-mgainstaller-Add-a-module-used-to-generate-the-Magei.patch
Patch0515:  0515-kadeploy-Add-a-kd-deploy-module.patch
# (tmb) disable as it breaks on efi/gpt
# Patch0516:  0516-Revert-Revert-dmraid-let-dmraid-setup-the-partitions.patch
Patch0517:  0517-base-Set-udevd-log-level-via-environment-var-to-cove.patch
# (tmb) sent upstream 2014-12-21
Patch0518:  0518-dracut-xhci-modules-kernel-3.18.patch
Patch0519:  0519-dracut-functions.sh-avoid-tokenizing-ldconfig-output.patch
Patch0520:  0520-kernel-modules-increase-SDHCI-driver-inclusion.patch
Patch0521:  0521-kernel-modules-hid-logitech-hidpp.patch
Patch0522:  0522-dracut-lib.sh-cancel_wait_for_dev-fixed-double-escap.patch
Patch0523:  0523-dracut.sh-Avoid-duplicate-devices-in-host_devs.patch
Patch0524:  0524-base-Don-t-wait-for-swap-devices-in-host-only-mode.patch
Patch0525:  0525-resume-Ensure-we-actually-wait-for-the-dev-resume-de.patch
Patch0526:  0526-resume-Do-not-hardcode-the-resume-device-in-the-init.patch
Patch0527:  0527-mdraid-mdraid_start.sh-tell-mainloop-if-we-make-prog.patch
Patch0528:  0528-drm-module-setup.sh-radeon-needs-amdkfd.patch
Patch0529:  0529-99base-Add-chown-binary.patch
Patch0530:  0530-resume-make-use-of-systemd-hibernate-resume-if-exist.patch
# mga#16657, needed to fix Haswell TSX bug
Patch0531:  0531-dracut-038-enable-early_microcode-by-default.patch

# Security patches
Patch1000:  0020-dracut.sh-create-the-initramfs-non-world-readable-al.patch

Requires(pre):	filesystem
Requires:	udev
Requires:	util-linux
Requires:	kmod
Requires:	e2fsprogs
Requires:	cpio
Requires:	coreutils
Requires:	findutils
Requires:	binutils
Requires:	grep
Requires:	mktemp
Requires:	bash
Requires:	dash
Requires:	kbd
Requires:	tar
Requires:	gzip
Requires:	bzip2
Requires:	file
Requires:	module-init-tools
Requires:	bridge-utils
Requires:	initscripts
Recommends:	plymouth
Requires:	bootloader-utils
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
# (cg) Replace mkinitrd and nuke all it's sub-packages
Provides:	mkinitrd = 6.0.93-32
Obsoletes:	mkinitrd < 6.0.93-32
Obsoletes:	nash
Obsoletes:	libbdevid-python
# plymouth-populate-initrd in old plymouth-scripts packages fails to find
# dracut-functions
Conflicts:	plymouth-scripts < 0.8.4-0.20111214.2
Conflicts:	bootsplash < 3.3.9-1
BuildRequires:	asciidoc
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	dash
BuildRequires:	bash

%description
Dracut contains tools to create a bootable initramfs for Linux kernels.
Unlike existing implementations, dracut does hard-code as little as possible
into the initramfs. Dracut contains various modules which are driven by the
event-based udev. Having root on MD, DM, LVM2, LUKS is supported as well as
NFS, iSCSI, NBD, FCoE with the dracut-network package.

%prep
%setup -q
%apply_patches
# (cg) We don't want backup file (todo: make apply_patches accept a -n argument to not do backups)
find -name "*.[0-9][0-9][0-9][0-9]" -delete

%build
export CFLAGS="%{optflags}"
%make

%install
%makeinstall_std \
  sbindir=/sbin \
  sysconfdir=%{_sysconfdir} \
  systemdsystemunitdir=%{_unitdir} \
  mandir=%{_mandir}

install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/dracut.conf.d
install -m 755 -d %{buildroot}%{_datadir}/dracut
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/dracut/logo.png

# bluca remove patch backup files
find %{buildroot} -name \*.\*.orig -exec rm {} \;

# fix permission of module files
chmod +x %{buildroot}%{_prefix}/lib/dracut/modules.d/*/*.sh

mkdir -p %{buildroot}/boot/dracut
mkdir -p %{buildroot}%{_var}/lib/dracut/overlay

# (cg) For now provide compatibility symlinks in %_sbindir as this was the old
# location for mkinitrd and some tools may hard-code the path
mkdir -p %{buildroot}%{_sbindir}
ln -sf %{_bindir}/mkinitrd %{buildroot}%{_sbindir}/mkinitrd

%triggerpostun -- dracut < 023-11
# (cg) Fix world writable initrds due to CVE-2012-4453 (mga#7806)
chmod go-r /boot/initrd-3*.img ||:

%triggerpostun -- dracut < 038-13
# (cg) Forget UUIDs for LVM/RAID Swaps. It's more harm than good.
rm -f %{_sysconfdir}/dracut.conf.d/51-mageia-resume.conf ||:

%files
%doc README.generic README.modules README.kernel HACKING TODO AUTHORS 
%dir /boot/dracut
%dir %{_datadir}/dracut
%dir %{_var}/lib/dracut
%dir %{_var}/lib/dracut/overlay
%dir %{_prefix}/lib/dracut
%config(noreplace) %{_sysconfdir}/dracut.conf
%dir %{_sysconfdir}/dracut.conf.d
%ghost %attr(644,root,root) %config(noreplace) %{_sysconfdir}/dracut.conf.d/51-mageia-resume.conf
%{_sysconfdir}/dracut.conf.d/50-%_real_vendor.conf
%{_bindir}/dracut
%{_bindir}/dracut-catimages
%{_bindir}/lsinitrd
%{_bindir}/mkinitrd
%{_sbindir}/mkinitrd
%{_prefix}/lib/dracut/dracut-functions.sh
%{_prefix}/lib/dracut/dracut-functions
%{_prefix}/lib/dracut/dracut-initramfs-restore
%{_prefix}/lib/dracut/dracut-install
%{_prefix}/lib/dracut/dracut-version.sh
%{_prefix}/lib/dracut/modules.d
%{_prefix}/lib/dracut/dracut-logger.sh
%{_prefix}/lib/dracut/skipcpio
%{_prefix}/lib/kernel/install.d/50-dracut.install
%{_prefix}/lib/kernel/install.d/51-dracut-rescue.install
%{_unitdir}/*.service
%{_unitdir}/*/*.service
%{_datadir}/bash-completion/completions/dracut
%{_datadir}/bash-completion/completions/lsinitrd
%{_datadir}/dracut/logo.png
%{_mandir}/man1/lsinitrd*.1*
%{_mandir}/man8/dracut*.8*
%{_mandir}/man8/mkinitrd*.8*
%{_mandir}/man7/dracut.bootup.7*
%{_mandir}/man7/dracut.cmdline.7*
%{_mandir}/man7/dracut.kernel.7*
%{_mandir}/man7/dracut.modules.7*
%{_mandir}/man5/dracut.conf.5*


%changelog
* Wed Nov 16 2016 neoclust <neoclust> 038-21.1.mga5
+ Revision: 1067541
- fixed permissions of initramfs file, if microcode is prepended
  (CVE-2016-8637)

  + tmb <tmb>
    - enable early_microcode by default (mga#16657)

* Fri Jun 05 2015 tmb <tmb> 038-19.mga5
+ Revision: 822932
- resume: make use of systemd-hibernate-resume, if existant (fixes
  possible file system corruption on resume (mga#16077, redhat#1174945)

* Wed Jun 03 2015 tmb <tmb> 038-18.mga5
+ Revision: 822878
- mdraid/mdraid_start.sh: tell mainloop if we make progress (mga#15696)
- drm/module-setup.sh: radeon needs amdkfd
- 99base: Add chown binary for nvidia

* Fri May 15 2015 colin <colin> 038-17.mga5
+ Revision: 822138
- Prevent the need to wait for missing swap devices. mga#12305

* Thu Apr 23 2015 tmb <tmb> 038-16.mga5
+ Revision: 820580
- mgainstaller: overlayfs has been renamed to overlay in kernel 3.19

* Mon Apr 06 2015 tmb <tmb> 038-15.mga5
+ Revision: 819761
- move to release

* Mon Apr 06 2015 tmb <tmb> 038-14.mga5
+ Revision: 819743
- fix dmraid activation on efi/gpt

* Tue Mar 24 2015 luigiwalser <luigiwalser> 038-13.mga5
+ Revision: 819171
- do not fail the boot process if the swap partition UUID cannot be found (mga#12305, coling)

* Fri Feb 27 2015 tmb <tmb> 038-12.mga5
+ Revision: 817174
- kernel-modules: add hid-logitech-hidpp (mga#15198)

* Sat Feb 21 2015 tmb <tmb> 038-11.mga5
+ Revision: 816177
- kernel-modules: increase SDHCI driver inclusion

* Fri Jan 23 2015 colin <colin> 038-10.mga5
+ Revision: 811964
- Avoid tokenizing ldconfig output (mga#15117)

* Sun Dec 21 2014 tmb <tmb> 038-9.mga5
+ Revision: 804597
- 90kernel-modules: update for xhci module split in kernel 3.18 (mga#14799)

* Fri Dec 12 2014 tmb <tmb> 038-8.mga5
+ Revision: 802814
- mgalive/module-setup: overlayfs is now named overlay

* Sat Nov 29 2014 tmb <tmb> 038-7.mga5
+ Revision: 799953
- overlayfs is now named overlay

* Mon Nov 10 2014 colin <colin> 038-6.mga5
+ Revision: 796184
- Silence udevd info logging in initrd

* Mon Nov 10 2014 tmb <tmb> 038-5.mga5
+ Revision: 796180
- update mgalive module to work with overlayfs from upstream kernel 3.18-rc2
  (backported in Mageia kernel-3.17.2-1.mga5)

* Wed Oct 15 2014 umeabot <umeabot> 038-4.mga5
+ Revision: 744812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 038-3.mga5
+ Revision: 678827
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jul 30 2014 colin <colin> 038-2.mga5
+ Revision: 658165
- Revert (the revert) dade93b4 to fix dmraid 'p' in partition values (mga#13821)

* Tue Jul 29 2014 colin <colin> 038-1.mga5
+ Revision: 658089
- New version: 038
- Drop upstream patches
- Rebase downstream patches
- Update to git master (almost 039)
- Add modules to fix rootfs on eMMC (mga#13814, rhbz#1063556, rhbz#1097301)

* Sat Jul 12 2014 tv <tv> 034-14.mga5
+ Revision: 651452
- include libnss_dns.so (thus fixing DNS resolution in drakx stage1, mga#13691)

* Sun Feb 09 2014 colin <colin> 034-13.mga5
+ Revision: 587070
- Fix typo that causes hostonly initrd to be tied to (current) root fs.

* Fri Dec 27 2013 colin <colin> 034-12.mga4
+ Revision: 560954
- Fix bug in previous patch

* Thu Dec 26 2013 colin <colin> 034-11.mga4
+ Revision: 560876
- Fix asking for encrypted passwords multiple times (mga#11992)

* Thu Nov 14 2013 colin <colin> 034-10.mga4
+ Revision: 551137
- Add ohci-pci module for kernel 3.12.0. mga#11645

* Wed Nov 13 2013 colin <colin> 034-9.mga4
+ Revision: 550927
- mgainstaller: include modules.description and multimedia moduleds to modules.alias

* Sat Nov 09 2013 tmb <tmb> 034-8.mga4
+ Revision: 550106
- add mountpoint to read overlayfs real size from

* Sat Nov 02 2013 colin <colin> 034-7.mga4
+ Revision: 549068
- Avoid including unnecessary 32-bit libs on 64-bit initrds

* Tue Oct 29 2013 colin <colin> 034-6.mga4
+ Revision: 547853
- Silence kernel messages during stage1 (it messes with ncurses control chars)

* Tue Oct 29 2013 colin <colin> 034-5.mga4
+ Revision: 547785
- Update mgainstaller module for latest drakx

* Fri Oct 25 2013 eatdirt <eatdirt> 034-4.mga4
+ Revision: 546914
- Add upstream patch fixing bug #11292

* Tue Oct 22 2013 umeabot <umeabot> 034-3.mga4
+ Revision: 541905
- Mageia 4 Mass Rebuild

* Sat Oct 19 2013 colin <colin> 034-2.mga4
+ Revision: 535045
- Convert the mgalive module to a patch
- Add new mgainstaller and mgakadeploy modules to be used in stage1

* Sun Oct 13 2013 colin <colin> 034-1.mga4
+ Revision: 496268
- Adapt our mgalive dracut module to newer APIs
- New version: 034
- Drop 2.6 version from description

* Fri Sep 27 2013 colin <colin> 033-1.mga4
+ Revision: 487590
- Do not use systemd in initrd quite yet
- New version: 033
- Rediff patches
- Drop upstream patches

* Sat Sep 14 2013 neoclust <neoclust> 032-1.mga4
+ Revision: 478869
- New version
  Rediff patches

* Tue Sep 10 2013 neoclust <neoclust> 030-2.mga4
+ Revision: 476959
- Add upstream patch use dmraid for imsm and ddf

* Thu Jul 25 2013 colin <colin> 030-1.mga4
+ Revision: 457909
- New version 030
- Rediffed patches
- New version: 029
- Drop upstream cherry-picks
- Rebase other patches

* Sun May 05 2013 colin <colin> 025-8.mga3
+ Revision: 412382
- Drop upstream patch. It actually causes regressions in raid/lvm/crypt detection.

* Fri May 03 2013 colin <colin> 025-7.mga3
+ Revision: 412190
- Add upstream cherry-pick to detect more lvm/dmcrypt/dmraid/mdraid setups
- Add patch to solve including keymaps (mga#9808)
- Add a patch to support our upgrade preparation API (mga#9744)
- Fix misdetection of btrfs subvolumes (mga#9884)

* Mon Apr 22 2013 tmb <tmb> 025-6.mga3
+ Revision: 410779
- fix mgalive UEFI boot (#9730)

* Sun Feb 24 2013 colin <colin> 025-5.mga3
+ Revision: 400273
- Make sure to install full path PROGRAM= binaries from udev rules.

* Thu Feb 21 2013 colin <colin> 025-4.mga3
+ Revision: 399625
- Add upstream patch to properly detect some LVM setups (thanks to Olivier Thauvin)
- Rename patches now committed upstream to the cherry-picked patch name format

* Wed Feb 13 2013 colin <colin> 025-3.mga3
+ Revision: 398278
- Alternative (upstream) fix for crypt/luks device detection (mga#9040)

* Wed Feb 13 2013 colin <colin> 025-2.mga3
+ Revision: 398188
- Fix crypt/luks device detection (mga#9040)

* Sat Jan 26 2013 tmb <tmb> 025-1.mga3
+ Revision: 392569
- add missing tarball

  + colin <colin>
    - Avoid a /proc/cmdline error on non-systemd-in-initrd boots
    - New release: 025
    - Various patches merged upstream
    - Rebased patches that were still needed and no longer applied
    - Submitted six generic patches for upstream consideration

* Mon Jan 21 2013 tmb <tmb> 023-15.mga3
+ Revision: 390469
- update 90kernel-modules for 3.8 ehci-hcd split (P0517)

* Sun Jan 13 2013 colin <colin> 023-14.mga3
+ Revision: 373720
- Include crc32c module for xfs (mga#8676)

* Fri Jan 11 2013 umeabot <umeabot> 023-13.mga3
+ Revision: 349081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 tv <tv> 023-12.mga3
+ Revision: 333660
- drop useless Requires(pre) on plymouth
- Suggests instead of Requires plymouth (mga#8455)

* Mon Oct 15 2012 colin <colin> 023-11.mga3
+ Revision: 306822
- Fix CVE-2012-4453: world readable initrds containing potentially sensitive info (mga#7806)

* Fri Sep 14 2012 tmb <tmb> 023-10.mga3
+ Revision: 293956
- switch mgalive to use overlayfs

* Sun Sep 02 2012 tv <tv> 023-9.mga3
+ Revision: 287222
- s/util-linux-ng/util-linux/
- mount requires is dup

* Wed Aug 22 2012 colin <colin> 023-8.mga3
+ Revision: 283123
- Some more usrmove udev finding tweaks

* Tue Aug 21 2012 colin <colin> 023-7.mga3
+ Revision: 282929
- Fix udev rules inclusion from pre-usrmove udev installs

* Sat Aug 18 2012 colin <colin> 023-6.mga3
+ Revision: 281958
- Fix and re-enable the multiple / in path patch to work with relative symlinks
- Add very minor patch to avoid unnecessary comparison

* Fri Aug 17 2012 colin <colin> 023-5.mga3
+ Revision: 281849
- Temporarily exclude problematic patch until investigated further

* Thu Aug 16 2012 colin <colin> 023-4.mga3
+ Revision: 281580
- Fix up pre-usrmove, post systemd-183 inclusion of udevd

* Tue Aug 14 2012 colin <colin> 023-3.mga3
+ Revision: 281372
- Fix two small bugs with dracut-install binary (reported upstream)

* Thu Aug 09 2012 colin <colin> 023-2.mga3
+ Revision: 280120
- Rebuild to promote from testing to core

* Sat Aug 04 2012 colin <colin> 023-1.mga3
+ Revision: 278450
- New version: 023
- Drop upstream cherry pick patches now in release
- Rebase Mageia patches and drop those no longer needed
- Obsolete mkinitrd + it's sub-packages
- Remove alternative support which is no longer needed
- Remove README.urpmi which is no longer valid

* Fri Aug 03 2012 blino <blino> 017-23.mga3
+ Revision: 278051
- do not require plymouth(system-theme), it pulls mesa/llvm and more into basesystem
  (plymouth-plugin-script -> plymouth-plugin-label -> pangocairo -> ...)

* Sat Jul 21 2012 colin <colin> 017-22.mga3
+ Revision: 273143
- Some more fixes for the usrmove

* Fri Jul 20 2012 colin <colin> 017-21.mga3
+ Revision: 272842
- Add a couple quirks to the convertfs script to deal with some packaging oddities in Mageia

* Sat Jul 07 2012 colin <colin> 017-20.mga3
+ Revision: 268655
- Add patch to ensure correct population with latest plymouth

* Mon Jun 18 2012 colin <colin> 017-19.mga3
+ Revision: 261374
- Add upstream patches to handle udevd->systemd/udevd rename (with fallback)

* Tue Jun 12 2012 tv <tv> 017-18.mga3
+ Revision: 259956
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 017-17.mga3
+ Revision: 259275
- require kmod instead of module-init-tools

* Sun May 20 2012 colin <colin> 017-16.mga2
+ Revision: 235963
- Initialise i18n on tty0 as early as possible (mga#5192)

* Sun May 20 2012 blino <blino> 017-15.mga2
+ Revision: 235951
- do not force -o network from mkinitrd-dracut (move it into config instead), it makes omit_dracutmodules from config ineffective

* Thu May 10 2012 blino <blino> 017-14.mga2
+ Revision: 235213
- install xhci-hcd to allow booting and using kbd devices from USB 3.0

* Sun May 06 2012 colin <colin> 017-13.mga2
+ Revision: 234826
- Avoid false error when not resuming from hibernate (mga#5769)
- Support lilo style root=NNN syntax (where NNN is major*256 + minor)

* Sat Apr 28 2012 colin <colin> 017-12.mga2
+ Revision: 234160
- Drop to debug shell when we fail to mount /usr
- Fix previous patch relating to LVM activation on non-hostonly initrds
- Ensure LVM is initialised in non-hostonly mode (mga#4562)

* Sat Apr 28 2012 tmb <tmb> 017-11.mga2
+ Revision: 233675
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for versioned rpm-helper requires

* Thu Apr 26 2012 tmb <tmb> 017-9.mga2
+ Revision: 233314
- conflict bootsplash < 3.3.9-1 to ensure working upgrade (#5593)

* Sun Apr 22 2012 tmb <tmb> 017-8.mga2
+ Revision: 232629
- add mgalive module used by livecds

* Sun Apr 22 2012 colin <colin> 017-7.mga2
+ Revision: 232569
- Include Mageia specific ide-controller/scsi_hostadapter modules (mga#4997)

* Thu Apr 19 2012 colin <colin> 017-6.mga2
+ Revision: 231790
- Always include ahci kernel module (mga#4364)

* Sat Apr 14 2012 colin <colin> 017-5.mga2
+ Revision: 230804
- Ensure config for resume swap partition is written on upgrade

* Sat Apr 14 2012 colin <colin> 017-4.mga2
+ Revision: 230797
- Add a couple minor cherry picks.
- Fix manpage reference
- Add new option to allow specific activation of partitions (e.g. for resume support on LVM)
- Don't try and run plymouth if remove-boot-splash script has been run on generated initrd.

* Mon Apr 09 2012 colin <colin> 017-3.mga2
+ Revision: 229831
- Ensure systemd units to re-enter the initrd on shutdown/reboot are installed (mga#5184)
- Fix initrd naming when re-entering inird on shutdown/reboot (mga#5184)

* Thu Mar 22 2012 colin <colin> 017-2.mga2
+ Revision: 225579
- Various upstream cherry picks.

* Sat Feb 25 2012 colin <colin> 017-1.mga2
+ Revision: 214473
- New version: 017
- Add patch to skip the (10meg) network module when running via mkinitrd wrapper.
- Include 70-persistent-net.rules when the network module is included.

* Fri Feb 24 2012 colin <colin> 016-2.mga2
+ Revision: 213871
- Add upstream patches
- Drop upstream applied patches
- Fix double inclusion of dm/mdraid device uuid's in hostonly mode
- Build a full (non hostonly) initrd when not booted via dracut (mga#4562)
- Fix KMS module inclusion due to broken xzgrep return values (mga#4559)

* Thu Feb 16 2012 colin <colin> 016-1.mga2
+ Revision: 209702
- New version: 016
- Drop upstream patches

* Thu Feb 16 2012 colin <colin> 015-3.mga2
+ Revision: 209441
- Fix LVM detection on /usr

  + tmb <tmb>
    - add info in README.urpmi that systemd users must use dracut

* Tue Feb 14 2012 colin <colin> 015-2.mga2
+ Revision: 208902
- Update to git master

* Tue Feb 14 2012 colin <colin> 015-1.mga2
+ Revision: 208824
- New version: 015
- Drop patches applied upstream
- Drop patches that have been solved differently upstream
- Fix paths (/usr/bin rather than /usr/sbin)
- Fix typo

* Mon Jan 23 2012 dmorgan <dmorgan> 014-16.mga2
+ Revision: 200175
- Own %%{_prefix}/lib/dracut

* Mon Jan 16 2012 tmb <tmb> 014-15.mga2
+ Revision: 196776
- adjust mkinitrd provides so it has higher rel than current mkinitrd

* Sun Jan 15 2012 tmb <tmb> 014-14.mga2
+ Revision: 196542
- dont obsolete mkinitrd as we will keep it during Mageia 2

* Wed Jan 11 2012 blino <blino> 014-13.mga2
+ Revision: 194858
- 90kernel-modules/module-setup.sh: do not hang reading on stdout when rootfs type is unknown

* Sun Jan 08 2012 colin <colin> 014-12.mga2
+ Revision: 193562
- More dmsquash fixes.

* Sun Jan 08 2012 colin <colin> 014-11.mga2
+ Revision: 193534
- Fix some issues with the dmsquash module.

* Sat Dec 31 2011 colin <colin> 014-10.mga2
+ Revision: 189295
- Fix boot failure when invalid device given in resume= arg.
- Fix bogus 'Root device not found' error message

* Tue Dec 27 2011 colin <colin> 014-9.mga2
+ Revision: 187991
- Fix btrfs by including crc32c module (mga#3214)

* Mon Dec 19 2011 colin <colin> 014-8.mga2
+ Revision: 184214
- Disable README.urpmi for now until we (perhaps) re-enable mkinitrd

* Mon Dec 19 2011 anssi <anssi> 014-7.mga2
+ Revision: 184125
- ensure alternatives existence in %%posttrans for now, as packages from
  014-1.mga2 to 014-3.mga2 wrongly remove the alternative in their
  %%postun

* Mon Dec 19 2011 anssi <anssi> 014-6.mga2
+ Revision: 184124
- conflict with old plymouth-scripts which may cause initramfs files to
  be truncated when used in combination with old bootsplash package

* Sun Dec 18 2011 colin <colin> 014-5.mga2
+ Revision: 183965
- Obsolete mkinitrd and force dracut on everyone.

* Sun Dec 18 2011 anssi <anssi> 014-4.mga2
+ Revision: 183845
- actually fix the paths in %%postun, a typo was left in by the previous
  release (fixes inadvertent removal of the dracut alternative)

* Sun Dec 18 2011 anssi <anssi> 014-3.mga2
+ Revision: 183840
- fix paths in %%postun that were forgotten in 014-1.mga2 (fixes inadvertent
  removal of the dracut alternative)

* Sat Dec 17 2011 colin <colin> 014-2.mga2
+ Revision: 182908
- Find symlinks in modprobe.d folder
- Install and programs needed by udev rules.

* Thu Dec 15 2011 colin <colin> 014-1.mga2
+ Revision: 182344
- Fix patch numbering
- Fix fsck on /usr partions
- Fix up LVM on /usr detection patch
- New version: 014
- Drop upstream/merged patches
- Drop UUID/LABEL lookup patch (different upstream fix)
- Fix logo install
- Fix up paths due to upstream relocation
- * Add a patch that fixes searching for mounts in /proc/self/mountinfo when there are nfs/btrfs mounts active
  * Check for LVM on /usr as well as /

* Sat Dec 03 2011 colin <colin> 013-6.mga2
+ Revision: 175507
- * Add a (temporary) patch to lookup device names when mounting /usr via UUID/LABEL
  * Always include KMS modules even if they are not currently loaded (Anssi)

* Fri Dec 02 2011 colin <colin> 013-5.mga2
+ Revision: 175109
- * Drop dracut.conf patch in favour of our vendor conf in dracut.conf.d
  * Split out mkinitrd option help to separate patch
  * Fix initramfs vs. initrd naming more thoroughly
  * Fix /usr mounting due to variable name typo
  * Rename vendor conf file (dracut in the name is superfluous
- Remove Fedora patch (it's no longer needed or used on further investigation)
- Rename and update Fedora patch.

* Thu Dec 01 2011 colin <colin> 013-4.mga2
+ Revision: 174823
- Do not include backup files in the package.

* Wed Nov 30 2011 colin <colin> 013-3.mga2
+ Revision: 174621
- * Drop aufs patch (the kernel module does not exist now)
  * Drop bootchart tweaks (seems no longer needed)
  * Cut back on some Mandriva mods (such as including several modules by default)
  * Do not document ignored mkinitrd wrapper options
  * Add more git patches to bring us up to current git master

* Thu Oct 27 2011 dmorgan <dmorgan> 013-2.mga2
+ Revision: 158895
- Sync with fedora patches
- Remove mandriva occurencies

  + colin <colin>
    - Remove unused patch.

* Fri Oct 21 2011 colin <colin> 013-1.mga2
+ Revision: 157144
- imported package dracut


* Sun Oct 09 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 013-2mdv2012.0
+ Revision: 703941
- Obsolete old verions
- pre requires filesystem

* Wed Aug 24 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 013-1
+ Revision: 696536
- update to new version 013
- update links for URLS
- rediff patches 19 and 101
- drop patch 22 not neede at all
- disable patch 100 (needed ony for build iso ?)
- provide better description
- add dash and bash to buildrequires

* Mon Aug 15 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 011-2
+ Revision: 694636
- fix install of files in /etc/ld.so.conf.d (mdv #63914)

* Sat Jul 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 011-1
+ Revision: 691214
- update to new version 011
- rediff patches 0, 26 and 100
- disable patches 22 and 101

* Tue Jun 28 2011 Alex Burmashev <burmashev@mandriva.org> 010-6
+ Revision: 687677
- Temporarily enabled livecd patch to boot RC1 images

* Wed Jun 15 2011 Luca Berra <bluca@mandriva.org> 010-5
+ Revision: 685375
- removed P100 (dracut-010-rosa-livecdfix.patch) which broke dracut
- make dracut the default mkinitrd program

* Mon Apr 18 2011 Alex Burmashev <burmashev@mandriva.org> 010-4
+ Revision: 655817
- Fix for dracut initrd creation
- workaround release up
- a very bad workaround

* Mon Apr 18 2011 Anssi Hannula <anssi@mandriva.org> 010-2
+ Revision: 654813
- fix a typo introduced in patch rediff of previous commit

* Sun Apr 17 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 010-1
+ Revision: 654778
- update to new version 010
- rediff patches 5, 22, 26 and 100
- drop patches 23, 24 and 25
- fix file list

* Sun Apr 17 2011 Anssi Hannula <anssi@mandriva.org> 008-6
+ Revision: 654052
- handle gzip compressed KMS kernel modules

* Mon Mar 14 2011 Alex Burmashev <burmashev@mandriva.org> 008-5
+ Revision: 644610
- Fixed aufs mount patch

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 008-4
+ Revision: 640430
- rebuild to obsolete old packages

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-3
+ Revision: 638675
- P25: fix P24 (submitted upstream)

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-2
+ Revision: 638631
- P24: default to UTF-8 on console unless disabled (GIT)
- P23: fix i18n parsing in hostonly mode (GIT)
- P22: create flag if plymouth was started (GIT)
- P19: fix typo

* Thu Feb 17 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-1
+ Revision: 638264
- S3: update for new i18n module
- simplify P15

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Update patches to dracut 008 api.
      Drop P18 and P20, no longer needed.

* Wed Jan 26 2011 Eugeni Dodonov <eugeni@mandriva.com> 007-6
+ Revision: 633069
- P21: add support for mounting aufs (Ivan Milov <ivan.milov@rosalab.ru>)
- P100: add support for building live iso images (Andrew Shubar <andrew.shubin@rosalab.ru>)

* Sun Sep 05 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 007-3mdv2011.0
+ Revision: 576017
- Patch20: add path check for rsyslog libraries

* Wed Aug 11 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 007-2mdv2011.0
+ Revision: 569111
- patch19 and source3: fix unicode keymap with new i18n module
- patch18: fix bootchart module installation
- patch1: revert to original behaviour - install when bootchart RPM
  is present
- do not unconditionally enable bootchart
- add source3 - default mandriva config. For now it enabled bootchart
- delete source1, source2 - redundant, already included upstream

* Mon Aug 09 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 007-1mdv2011.0
+ Revision: 568172
- package dracut.kernel(7) man page
- add BuildRequires for new man page generation from XML source
- remove patches 1, 16, 17 - integrated upstream
- new version

* Thu Aug 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-3mdv2011.0
+ Revision: 566440
- patch17: fix ahci detection in kernel 2.6.35

* Wed Aug 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-2mdv2011.0
+ Revision: 565664
- patch16: fix modules check in hostonly mode

* Sat Jul 10 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-1mdv2011.0
+ Revision: 550022
- new version; rebase patches

* Mon Mar 22 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 005-1mdv2010.1
+ Revision: 526382
- remove patches 2, 999 - merged upstream
- new version

* Fri Mar 19 2010 Frederic Crozat <fcrozat@mandriva.com> 004-6mdv2010.1
+ Revision: 525289
- Add source1/2 : add support for bootchart2

* Sun Mar 07 2010 Luca Berra <bluca@mandriva.org> 004-5mdv2010.1
+ Revision: 515443
- update to latest git
- remove patches merged upstream
- add two patches not yet merged

* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-4mdv2010.1
+ Revision: 512870
- patch17: fix boot without resume= (#57924)
- update patch16 with official upstream version

* Mon Mar 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 004-3mdv2010.1
+ Revision: 512825
- Patch16: check for multipath existence, if not then die (mdvbz #57919)

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - change postun for compliance with alternatives policy

* Sat Feb 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-2mdv2010.1
+ Revision: 501426
- add alternatives for lsinitrd

  + Jani Välimaa <wally@mandriva.org>
    - escape 'uname -r' in README.urpmi

* Tue Feb 02 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-1mdv2010.1
+ Revision: 499727
- package new man pages and lsinitrd-dracut
- patch15: mkinitrd-dracut; remove it as source1 (it is now upstream)
- remove patches 1-12: integrated upstream
- new version

* Sun Jan 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-6mdv2010.1
+ Revision: 498683
- patch14: pass init arguments from commmand line to real init

* Sun Jan 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-5mdv2010.1
+ Revision: 492577
- patch13: fix firmware loading with current udev

* Sun Jan 10 2010 Luca Berra <bluca@mandriva.org> 003-4mdv2010.1
+ Revision: 488601
- add support for uswsuspend from Andrey
- ensure module scripts are executable

* Sat Jan 09 2010 Luca Berra <bluca@mandriva.org> 003-3mdv2010.1
+ Revision: 487939
- use alternatives for mkinitrd-dracut, and conflict with mkinitrd < mkinitrd-6.0.93-10mnb2
- remove -H from mkinitrd-dracut, it is better left in the configuration file
- modify the default configuration file to enable host-only mode and add some generic ata drivers.
- add console unicode patch from Andrey

* Tue Dec 29 2009 Luca Berra <bluca@mandriva.org> 003-2mdv2010.1
+ Revision: 483256
- split mdv patch, change terminfo and kbd patches in order to push upstream
- install umount when needed
- disable selinux
- fix standard error in emergency shell and set prompt to indicate what stage we are
- include patches from git
 - multipath: supress warnings, if multipath not installed on system
 - cryptroot-ask.sh:  s/==/=/g (bug #542081)
 - plymouth-pretrigger: force initializing of console (bug #526570)

* Mon Dec 28 2009 Luca Berra <bluca@mandriva.org> 003-1mdv2010.1
+ Revision: 483155
- added wrapper to emulate mkinitrd syntax
- honor add_drivers when making an host-only initrd
- add support for compressed kernel modules
- build fixes

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 003

* Thu Nov 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 002-4mdv2010.1
+ Revision: 465469
- set requires(pre) on plymouth

* Fri Oct 09 2009 Frederic Crozat <fcrozat@mandriva.com> 002-3mdv2010.0
+ Revision: 456372
- Fix README.urpmi

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 002-2mdv2010.0
+ Revision: 456028
- Do no rely on old plymouth-theme-mdv

* Fri Sep 18 2009 Frederic Crozat <fcrozat@mandriva.com> 002-1mdv2010.0
+ Revision: 444370
- Release 002
- Remove merged patches

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-2mdv2010.0
+ Revision: 432951
- Patch0: one more fix

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-1mdv2010.0
+ Revision: 432801
- update to new version 001
- Patch0: rediff
- add three patches from Fedora
- update to new version 001

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9-1mdv2010.0
+ Revision: 422367
- update to new version 0.9
- rediff patch0
- add more critical requires

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-2mdv2010.0
+ Revision: 421772
- switch_root is conflicting against util-linux-ng one, so remove it
- Patch0: adapt scripts to mdv specifications
- make it noarch (because switch_root is gone)
- provide REAME.urpmi

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-1mdv2010.0
+ Revision: 421733
- import dracut

